Package com.orbbec.obsensor

## Enum CompressionMode

- java.lang.Object
- - java.lang.Enum<CompressionMode>
  - - com.orbbec.obsensor.CompressionMode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CompressionMode>`

    public enum CompressionMode
    extends java.lang.Enum<CompressionMode>

Compression mode

### Enum Constant Summary

Enum Constants
`OB_COMPRESSION_LOSSLESS`
`OB_COMPRESSION_LOSSY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CompressionMode` `get​(int value)` Get the compression mode corresponding to the specified index
`int` `value()` Get the index corresponding to the compression mode
`static CompressionMode` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompressionMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OB_COMPRESSION_LOSSLESS

    public static final CompressionMode OB_COMPRESSION_LOSSLESS

#### OB_COMPRESSION_LOSSY

    public static final CompressionMode OB_COMPRESSION_LOSSY

### Method Detail

#### values

    public static CompressionMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompressionMode c : CompressionMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompressionMode valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### value

    public int value()

Get the index corresponding to the compression mode

Returns:
  index value

#### get

    public static CompressionMode get​(int value)

Get the compression mode corresponding to the specified index

Parameters:
  `value` - index value
Returns:
  compression mode